import java.util.*;
import java.io.*;

//Class to test Gasoline algorithm
public class GasolineTest
{
	public static void main(String[] args) throws Exception
	{
		//Input parameters for Gasoline
		String pathNetworks="../Sources/Networks";
		int sigma=6;
		double overlapThresh=1.0;
		int iterIterative=20;
		int minAlignSize=4;
		double structConservationThresh=0.95;
		String pathOutput=null;
		
		//Run Gasoline with specified parameters
		Gasoline gas=new Gasoline(pathNetworks,sigma,overlapThresh,iterIterative,minAlignSize,structConservationThresh,pathOutput);
		OrderedList<Alignment> listAl=gas.runGasoline();
		
		//Scan the final list of local alignments
		NodeOrdList<Alignment> aux=listAl.getMax();
		while(aux!=null)
		{
			Vector<String>[] mapping=aux.getInfo().getMapping();
			aux=aux.getNext();
		}
	}
}